Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Не могу установить virtualbox  (Прочитано 3565 раз)

0 Пользователей и 1 Гость просматривают эту тему.

sasha30

  • Автор темы
  • Гость
Не могу установить virtualbox
« : 29 Май 2012, 09:36:33 »
Всем привет
Скачиваю с сайта virtual box,запускаю .deb,а мне пишет:

Ошибка: Зависимость не может быть удовлетворена: libc6 (>= 2.15)


Что делать,подскажите?(sudo apt-get install virtualbox не вариант,потому что на него extension pack ставится,но не работает..)
а мне нужен extencion pack,чтобы видел мой iPhone и флешку
буду признателен за помощь!(у меня linux mint 12,dist-upgrade до 13 был)

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #1 : 29 Май 2012, 09:38:25 »
А libc6 у вас какой версии?
Код: (bash) [Выделить]
dpkg -s libc6
« Последнее редактирование: 29 Май 2012, 09:40:35 от truegeek »

sasha30

  • Автор темы
  • Гость
Re: Не могу установить virtualbox
« Ответ #2 : 29 Май 2012, 09:41:48 »
если ставлю sudo apt-get install virtualbox
и extencion pack 4.0.*
то вот ошибка:

Не удалось установить плагин /home/sasha/Загрузки/Oracle_VM_VirtualBox_Extension_Pack-4.0.16-75491.vbox-extpack.
VBoxExtPackRegister returned VERR_VERSION_MISMATCH, pReg=00000000 ErrInfo='VirtualBox version mismatch - expected 4.0 got 4.1'.

Пользователь решил продолжить мысль 29 Май 2012, 09:42:20:
sasha@sashapc ~ $ dpkg -s libc6
Package: libc6
Status: install ok installed
Multi-Arch: same
Priority: required
Section: libs
Installed-Size: 9788
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: i386
Source: eglibc
Version: 2.13-20ubuntu5.1
Replaces: belocs-locales-bin, libc6-i386
Provides: glibc-2.13-1, libc6-i686
Depends: libc-bin (= 2.13-20ubuntu5.1), libgcc1, tzdata
Suggests: glibc-doc, debconf | debconf-2.0, locales
Breaks: nscd (<< 2.13)
Conflicts: belocs-locales-bin, libc6-i686, prelink (<< 0.0.20090925), tzdata (<< 2007k-1), tzdata-etch
Conffiles:
 /etc/ld.so.conf.d/i686-linux-gnu.conf 1c63da36f33ec6647af1d8faff9b9795
Description: Embedded GNU C Library: Shared libraries
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
Homepage: http://www.eglibc.org
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #3 : 29 Май 2012, 09:44:29 »
Все верно:
Version: 2.13-20ubuntu5.1Поэтому и ошибка такая )

sasha30

  • Автор темы
  • Гость
Re: Не могу установить virtualbox
« Ответ #4 : 29 Май 2012, 09:45:24 »
virtualbox ставил через apt-get install
удалил плагин 4.0.*
постаивл плагин 4.1.*
поставил галочку около USB 2.0
запускаю
и вот,что пишет:
Не удалось открыть сессию для виртуальной машины WIndows.
The device helper structure version has changed.
If you have upgraded VirtualBox recently, please make sure you have terminated all VMs and upgraded any extension packs. If this error persists, try re-installing VirtualBox. (VERR_PDM_DEVHLPR3_VERSION_MISMATCH).

Пользователь решил продолжить мысль 29 Май 2012, 09:45:47:
а подскажите пожалуйста,как исправить ошибку

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #5 : 29 Май 2012, 09:48:51 »
Ну допустим сделать так, как вам советуют:
If this error persists, try re-installing VirtualBox

sasha30

  • Автор темы
  • Гость
Re: Не могу установить virtualbox
« Ответ #6 : 29 Май 2012, 09:49:59 »
я сейчас ставлю virtualbox 4.0.16 и к нему поставлю extencion pack 4.0.16
потом ставлю XP на virtualbox и галочку USB 2.0 посмотрим,что выйдет

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #7 : 29 Май 2012, 09:50:42 »
я сейчас ставлю virtualbox 4.0.16 и к нему поставлю extencion pack 4.0.16
потом ставлю XP на virtualbox и галочку USB 2.0 посмотрим,что выйдет
Ок, пробуйте)

sasha30

  • Автор темы
  • Гость
Re: Не могу установить virtualbox
« Ответ #8 : 29 Май 2012, 09:54:31 »
ну все поставил
запустил винду
там пишет типо обнаружено usb устройство готово к использованию
захожу в "мой компьютер"
а этого устройства нема

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #9 : 29 Май 2012, 09:58:03 »
Эээм, а ваш юзер в группе vboxusers?
Код: (bash) [Выделить]
cat /etc/group | grep vboxusers

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #10 : 29 Май 2012, 10:02:48 »
http://habrahabr.ru/post/45809/
Здесь ваша проблема обсуждается, внимательно читайте комменты. А я пошел пить чай ;)

sasha30

  • Автор темы
  • Гость
Re: Не могу установить virtualbox
« Ответ #11 : 29 Май 2012, 10:13:36 »
да я юзера добавлял
sudo adduser sasha vboxusers
у меня раньше была проблема с vboxusers
но сейчас ее нет...
вот почему-то не видит устройства..беда

Пользователь решил продолжить мысль 29 Май 2012, 10:15:16:
зашел на ту страничку
fstab не могу сохранить новый,отредактированный
как от рута зайти?((

Пользователь решил продолжить мысль 29 Май 2012, 10:17:02:
sudo gedit etc/fstab
открывается fstab,но пустой...
а когда просто его открываю,он не пустой
« Последнее редактирование: 29 Май 2012, 10:17:02 от sasha30 »

Оффлайн truegeek

  • FPGA Designer
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 4214
  • аЦкий схемотехник
    • Просмотр профиля
Re: Не могу установить virtualbox
« Ответ #12 : 29 Май 2012, 10:39:24 »
Так, я же сказал, внимательно читайте комменты)))
Покажите:
Код: (bash) [Выделить]
cat /etc/group | grep vboxusersНужно добавлять не юзера, а своему юзеру группу:
Код: (bash) [Выделить]
sudo usermod -a -G vboxusers %username%вместо %username% - имя своего юзера
Редактировать правильно так:
Код: (bash) [Выделить]
sudo gedit /etc/fstab

 

Страница сгенерирована за 0.115 секунд. Запросов: 24.